# Uses of Interface
org.eclipse.birt.chart.model.component.Series

Packages that use Series
Package
Description
org.eclipse.birt.chart.computation
This is a placeholder file for the org.eclipse.birt.chart.computation package.
org.eclipse.birt.chart.computation.withaxes
This is a placeholder file for the org.eclipse.birt.chart.computation.withaxes package.
org.eclipse.birt.chart.computation.withoutaxes
This is a placeholder file for the org.eclipse.birt.chart.computation.withoutaxes package.
org.eclipse.birt.chart.datafeed
Provides classes and interfaces that determine how a user's custom dataset needs to be interpreted.
org.eclipse.birt.chart.event
Contains classes that define a rendering notification that is interpreted by a device renderer.
org.eclipse.birt.chart.factory
Contains classes and interfaces used in the chart building and generation phase.
org.eclipse.birt.chart.model
Contains the chart model interfaces that define the starting point for creating a new chart.
org.eclipse.birt.chart.model.component
Represents a set of chart sub-components (as interfaces) that are used to build a complete chart.
org.eclipse.birt.chart.model.component.impl
Represents a set of chart sub-components (as core implementations) that are used to build a complete chart.
org.eclipse.birt.chart.model.data
Holds a set of interfaces that define the structure of the data source and typed data elements associated with a chart series.
org.eclipse.birt.chart.model.data.impl
Holds a set of classes that define the structure of the data source and typed data elements associated with a chart series.
org.eclipse.birt.chart.model.impl
Represents the chart model implementation classes that define the starting point for creating a new chart.
org.eclipse.birt.chart.model.type
Contains a default out-of-the-box set of series type interfaces that are associated with all charts.
org.eclipse.birt.chart.model.type.impl
Contains a default out-of-the-box set of series type core implementation classes that are associated with all charts.
org.eclipse.birt.chart.render
Contains classes that represent the core plot rendering framework.
org.eclipse.birt.chart.script

## Uses of Series in org.eclipse.birt.chart.computation

Methods in org.eclipse.birt.chart.computation that return Series
Modifier and Type
Method
Description
`Series`
LegendItemHints.`getSeries()`
Methods in org.eclipse.birt.chart.computation with parameters of type Series
Modifier and Type
Method
Description
`abstract ISeriesRenderingHints`
PlotComputation.`getSeriesRenderingHints(SeriesDefinition sdOrthogonal, Series seOrthogonal)`
`static LegendItemHints`
LegendItemHints.`newCategoryEntry(String sItem, SeriesDefinition sed, Series se, int index)`
`static LegendItemHints`
LegendItemHints.`newEntry(String sItem, String sValue, SeriesDefinition sed, Series se, int index)`
`static LegendItemHints`
LegendItemHints.`newMinSliceEntry(String sItem, SeriesDefinition sed, Series se, int index)`
`void`
LegendItemHints.`setSeries(Series series)`

## Uses of Series in org.eclipse.birt.chart.computation.withaxes

Methods in org.eclipse.birt.chart.computation.withaxes that return types with arguments of type Series
Modifier and Type
Method
Description
`final ArrayList<Series>`
StackGroup.`getSeries()`
Methods in org.eclipse.birt.chart.computation.withaxes with parameters of type Series
Modifier and Type
Method
Description
`static DataSetIterator`
PlotWithAxes.`checkDataType(Series se, int iType, RunTimeContext rtc)`
`Label`
SeriesRenderingHints.`getLabelAttributes(Series se)`
`Label`
SeriesRenderingHints3D.`getLabelAttributes(Series se)`
`Position`
SeriesRenderingHints.`getLabelPosition(Series se)`
`Position`
SeriesRenderingHints3D.`getLabelPosition(Series se)`
`ISeriesRenderingHints`
PlotWith2DAxes.`getSeriesRenderingHints(SeriesDefinition sdOrthogonal, Series seOrthogonal)`
`ISeriesRenderingHints`
PlotWith3DAxes.`getSeriesRenderingHints(SeriesDefinition sdOrthogonal, Series seOrthogonal)`
`StackGroup`
StackedSeriesLookup.`getStackGroup(Series se)`
`AxisSubUnit`
StackedSeriesLookup.`getUnit(Series se, int iUnitIndex)`
Returns an AxisUnit needed to 'remember' the position of the next stacked bar to be rendered.

## Uses of Series in org.eclipse.birt.chart.computation.withoutaxes

Methods in org.eclipse.birt.chart.computation.withoutaxes with parameters of type Series
Modifier and Type
Method
Description
`SeriesRenderingHints`
PlotWithoutAxes.`getSeriesRenderingHints(SeriesDefinition sdOrthogonal, Series seOrthogonal)`

## Uses of Series in org.eclipse.birt.chart.datafeed

Methods in org.eclipse.birt.chart.datafeed with parameters of type Series
Modifier and Type
Method
Description
`List<Query>`
DataSetAdapter.`getDataDefinitionsForGrouping(Series series)`
`List<Query>`
IDataSetProcessor.`getDataDefinitionsForGrouping(Series series)`
Provides a list of data definitions for grouping.

## Uses of Series in org.eclipse.birt.chart.event

Methods in org.eclipse.birt.chart.event with parameters of type Series
Modifier and Type
Method
Description
`static StructureSource`
StructureSource.`createSeries(Series se)`
Creates a Structure Source for type Series.
`static StructureSource`
WrappedStructureSource.`createSeriesDataElement(Series se, DataPointHints dph)`
Creates a WrappedStructure Source for type Series Element with a Series parent.
`static StructureSource`
WrappedStructureSource.`createSeriesDataPoint(Series se, DataPointHints dph)`
Creates a WrappedStructure Source for type Series DataPoint with a Series parent.
`static StructureSource`
WrappedStructureSource.`createSeriesFittingCurve(Series se, CurveFitting cf)`
Creates a WrappedStructure Source for type Series FittingCurve with a Series parent.
`static StructureSource`
WrappedStructureSource.`createSeriesMarker(Series se, Marker mk)`
Creates a WrappedStructure Source for type Series Marker with a Series parent.
`static StructureSource`
WrappedStructureSource.`createSeriesTitle(Series se, Label title)`
Creates a WrappedStructure Source for type Series Title with a Series parent.

## Uses of Series in org.eclipse.birt.chart.factory

Methods in org.eclipse.birt.chart.factory that return types with arguments of type Series
Modifier and Type
Method
Description
`LinkedHashMap<Series,LegendItemRenderingHints>`
GeneratedChartState.`getRenderers()`
Returns a sorted lookup list of all series renderers.
`Map<Series,LegendItemRenderingHints>`
RunTimeContext.`getSeriesRenderers()`
Returns the series renderers for current context.
Method parameters in org.eclipse.birt.chart.factory with type arguments of type Series
Modifier and Type
Method
Description
`void`
RunTimeContext.`setSeriesRenderers(Map<Series,LegendItemRenderingHints> msr)`
Sets the series renderers for current context.

## Uses of Series in org.eclipse.birt.chart.model

Methods in org.eclipse.birt.chart.model that return Series
Modifier and Type
Method
Description
`Series[]`
ChartWithoutAxes.`getRunTimeSeries()`
`Series[]`
ChartWithAxes.`getSeries(int iBaseOrOrthogonal)`
This method needs to be called after the chart has been populated with runtime datasets and runtime series have been associated with each of the axes.

## Uses of Series in org.eclipse.birt.chart.model.component

Methods in org.eclipse.birt.chart.model.component that return Series
Modifier and Type
Method
Description
`Series`
Series.`copyInstance()`
`Series`
ComponentFactory.`createSeries()`
Returns a new object of class 'Series'.
`Series[]`
Axis.`getRuntimeSeries()`
Methods in org.eclipse.birt.chart.model.component with parameters of type Series
Modifier and Type
Method
Description
`void`
Series.`translateFrom(Series sourceSeries, int iSeriesDefinitionIndex, Chart chart)`
This method should modify the series instance to extract whatever information it can from the series provided...updating the model if necessary.

## Uses of Series in org.eclipse.birt.chart.model.component.impl

Classes in org.eclipse.birt.chart.model.component.impl that implement Series
Modifier and Type
Class
Description
`class`
`SeriesImpl`
An implementation of the model object ' Series'.
Methods in org.eclipse.birt.chart.model.component.impl that return Series
Modifier and Type
Method
Description
`Series`
SeriesImpl.`copyInstance()`
`static Series`
SeriesImpl.`create()`
A convenience method to create an initialized 'Series' instance
`static Series`
SeriesImpl.`createDefault()`
A convenience method to create an initialized 'Series' instance
`Series`
ComponentFactoryImpl.`createSeries()`
`final Series[]`
AxisImpl.`getRuntimeSeries()`
Methods in org.eclipse.birt.chart.model.component.impl with parameters of type Series
Modifier and Type
Method
Description
`void`
SeriesImpl.`translateFrom(Series sourceSeries, int iSeriesDefinitionIndex, Chart chart)`

## Uses of Series in org.eclipse.birt.chart.model.data

Methods in org.eclipse.birt.chart.model.data that return Series
Modifier and Type
Method
Description
`Series`
SeriesDefinition.`getDesignTimeSeries()`
Methods in org.eclipse.birt.chart.model.data that return types with arguments of type Series
Modifier and Type
Method
Description
`List<Series>`
SeriesDefinition.`getRunTimeSeries()`
`org.eclipse.emf.common.util.EList<Series>`
SeriesDefinition.`getSeries()`
Returns the value of the 'Series' containment reference list.

## Uses of Series in org.eclipse.birt.chart.model.data.impl

Methods in org.eclipse.birt.chart.model.data.impl that return Series
Modifier and Type
Method
Description
`final Series`
SeriesDefinitionImpl.`getDesignTimeSeries()`
Methods in org.eclipse.birt.chart.model.data.impl that return types with arguments of type Series
Modifier and Type
Method
Description
`final List<Series>`
SeriesDefinitionImpl.`getRunTimeSeries()`
`org.eclipse.emf.common.util.EList<Series>`
SeriesDefinitionImpl.`getSeries()`

## Uses of Series in org.eclipse.birt.chart.model.impl

Methods in org.eclipse.birt.chart.model.impl that return Series
Modifier and Type
Method
Description
`final Series[]`
ChartWithoutAxesImpl.`getRunTimeSeries()`
`final Series[]`
ChartWithAxesImpl.`getSeries(int iBaseOrOrthogonal)`
This method needs to be called after the chart has been populated with runtime datasets and runtime series have been associated with each of the series definitions.
Method parameters in org.eclipse.birt.chart.model.impl with type arguments of type Series
Modifier and Type
Method
Description
`final void`
ChartWithoutAxesImpl.`recursivelyGetSeries(org.eclipse.emf.common.util.EList<SeriesDefinition> elSDs, ArrayList<Series> al, int iLevel, int iLevelToOmit)`
Walks down the series definition tree and retrieves all runtime series.

## Uses of Series in org.eclipse.birt.chart.model.type

Subinterfaces of Series in org.eclipse.birt.chart.model.type
Modifier and Type
Interface
Description
`interface`
`AreaSeries`
A representation of the model object 'Area Series'.
`interface`
`BarSeries`
A representation of the model object 'Bar Series'.
`interface`
`BubbleSeries`
A representation of the model object 'Bubble Series'.
`interface`
`DialSeries`
A representation of the model object 'Dial Series'.
`interface`
`DifferenceSeries`
A representation of the model object 'Difference Series'.
`interface`
`GanttSeries`
A representation of the model object 'Gantt Series'.
`interface`
`LineSeries`
A representation of the model object 'Line Series'.
`interface`
`PieSeries`
A representation of the model object 'Pie Series'.
`interface`
`ScatterSeries`
A representation of the model object 'Scatter Series'.
`interface`
`StockSeries`
A representation of the model object 'Stock Series'.

## Uses of Series in org.eclipse.birt.chart.model.type.impl

Classes in org.eclipse.birt.chart.model.type.impl that implement Series
Modifier and Type
Class
Description
`class`
`AreaSeriesImpl`
An implementation of the model object 'Area Series'.
`class`
`BarSeriesImpl`
An implementation of the model object ' Bar Series'.
`class`
`BubbleSeriesImpl`
An implementation of the model object 'Bubble Series'.
`class`
`DialSeriesImpl`
An implementation of the model object 'Dial Series'.
`class`
`DifferenceSeriesImpl`
An implementation of the model object 'Difference Series'.
`class`
`GanttSeriesImpl`
An implementation of the model object 'Gantt Series'.
`class`
`LineSeriesImpl`
An implementation of the model object ' Line Series'.
`class`
`PieSeriesImpl`
An implementation of the model object ' Pie Series'.
`class`
`ScatterSeriesImpl`
An implementation of the model object ' Scatter Series'.
`class`
`StockSeriesImpl`
An implementation of the model object ' Stock Series'.
Methods in org.eclipse.birt.chart.model.type.impl that return Series
Modifier and Type
Method
Description
`static Series`
AreaSeriesImpl.`create()`
A convenience method to create an initialized 'Series' instance
`static final Series`
BarSeriesImpl.`create()`
A convenience method to create an initialized 'Series' instance
`static final Series`
BubbleSeriesImpl.`create()`
A convenience method to create an initialized 'Series' instance
`static final Series`
DialSeriesImpl.`create()`
`static final Series`
DifferenceSeriesImpl.`create()`
A convenience method to create an initialized 'Series' instance
`static Series`
GanttSeriesImpl.`create()`
A convenience method to create an initialized 'Series' instance
`static Series`
LineSeriesImpl.`create()`
A convenience method to create an initialized 'Series' instance
`static final Series`
PieSeriesImpl.`create()`
A convenience method to create an initialized 'Series' instance
`static Series`
ScatterSeriesImpl.`create()`
A convenience method to create an initialized 'Series' instance
`static final Series`
StockSeriesImpl.`create()`
A convenience method to create an initialized 'Series' instance NOTE: Manually written
`static Series`
AreaSeriesImpl.`createDefault()`
A convenience method to create an initialized 'Series' instance
`static final Series`
BarSeriesImpl.`createDefault()`
A convenience method to create an initialized 'Series' instance
`static final Series`
BubbleSeriesImpl.`createDefault()`
A convenience method to create an initialized 'Series' instance
`static final Series`
DialSeriesImpl.`createDefault()`
`static final Series`
DifferenceSeriesImpl.`createDefault()`
A convenience method to create an initialized 'Series' instance
`static Series`
GanttSeriesImpl.`createDefault()`
A convenience method to create an initialized 'Series' instance
`static Series`
LineSeriesImpl.`createDefault()`
A convenience method to create an initialized 'Series' instance
`static final Series`
PieSeriesImpl.`createDefault()`
A convenience method to create an initialized 'Series' instance
`static Series`
ScatterSeriesImpl.`createDefault()`
A convenience method to create an initialized 'Series' instance
`static final Series`
StockSeriesImpl.`createDefault()`
A convenience method to create an initialized 'Series' instance NOTE: Manually written
Methods in org.eclipse.birt.chart.model.type.impl with parameters of type Series
Modifier and Type
Method
Description
`void`
AreaSeriesImpl.`translateFrom(Series series, int iSeriesDefinitionIndex, Chart chart)`
`void`
BarSeriesImpl.`translateFrom(Series series, int iSeriesDefinitionIndex, Chart chart)`
`void`
LineSeriesImpl.`translateFrom(Series series, int iSeriesDefinitionIndex, Chart chart)`
`void`
StockSeriesImpl.`translateFrom(Series series, int iSeriesDefinitionIndex, Chart chart)`

## Uses of Series in org.eclipse.birt.chart.render

Methods in org.eclipse.birt.chart.render that return Series
Modifier and Type
Method
Description
`final Series`
BaseRenderer.`getSeries()`
Methods in org.eclipse.birt.chart.render with parameters of type Series
Modifier and Type
Method
Description
`void`
AxesRenderer.`set(Chart _cm, PlotComputation _o, Series _se, Axis _ax, SeriesDefinition _sd)`
`void`
BaseRenderer.`set(Chart _cm, PlotComputation _oComputation, Series _se, SeriesDefinition _sd)`
Sets the context information for current renderer.
`void`
BaseRenderer.`updateTranslucency(Fill fill, Series se)`
Updates the tranlucency of the fill according to series setting.
Method parameters in org.eclipse.birt.chart.render with type arguments of type Series
Modifier and Type
Method
Description
`final void`
AxesRenderer.`render(Map<Series,LegendItemRenderingHints> htRenderers, Bounds bo)`
Overridden behavior for graphic element series that are plotted along axes
`void`
BaseRenderer.`render(Map<Series,LegendItemRenderingHints> htRenderers, Bounds bo)`
Renders all blocks using the appropriate block z-order and the containment hierarchy.
`void`
BaseRenderer.`renderLegend(IPrimitiveRenderer ipr, Legend lg, Map<Series,LegendItemRenderingHints> htRenderers)`
Renders the legend block based on the legend rendering rules.

## Uses of Series in org.eclipse.birt.chart.script

Methods in org.eclipse.birt.chart.script with parameters of type Series
Modifier and Type
Method
Description
`void`
ChartEventHandlerAdapter.`afterDataSetFilled(Series series, DataSet dataSet, IChartScriptContext icsc)`
`void`
IChartEventHandler.`afterDataSetFilled(Series series, DataSet dataSet, IChartScriptContext icsc)`
Called after populating the series dataset.
`void`
ChartEventHandlerAdapter.`afterDrawSeries(Series series, ISeriesRenderer isr, IChartScriptContext icsc)`
`void`
IChartEventHandler.`afterDrawSeries(Series series, ISeriesRenderer isr, IChartScriptContext icsc)`
Called after rendering Series.
`void`
ChartEventHandlerAdapter.`afterDrawSeriesTitle(Series series, Label label, IChartScriptContext icsc)`
`void`
IChartEventHandler.`afterDrawSeriesTitle(Series series, Label label, IChartScriptContext icsc)`
Called after rendering the title of a Series .
`void`
ChartEventHandlerAdapter.`beforeDataSetFilled(Series series, IDataSetProcessor idsp, IChartScriptContext icsc)`
`void`
IChartEventHandler.`beforeDataSetFilled(Series series, IDataSetProcessor idsp, IChartScriptContext icsc)`
Called before populating the series dataset using the DataSetProcessor.
`void`
ChartEventHandlerAdapter.`beforeDrawSeries(Series series, ISeriesRenderer isr, IChartScriptContext icsc)`
`void`
IChartEventHandler.`beforeDrawSeries(Series series, ISeriesRenderer isr, IChartScriptContext icsc)`
Called before rendering Series.
`void`
ChartEventHandlerAdapter.`beforeDrawSeriesTitle(Series series, Label label, IChartScriptContext icsc)`
`void`
IChartEventHandler.`beforeDrawSeriesTitle(Series series, Label label, IChartScriptContext icsc)`
Called before rendering the title of a Series.